# Uses of Class
org.apache.datasketches.frequencies.FrequentItemsSketch.Row

Packages that use FrequentItemsSketch.Row
Package
Description
org.apache.datasketches.frequencies
This package contains the implementations of the paper https://arxiv.org/abs/1705.07001.

## Uses of FrequentItemsSketch.Row in org.apache.datasketches.frequencies

Classes in org.apache.datasketches.frequencies that implement interfaces with type arguments of type FrequentItemsSketch.Row
Modifier and Type
Class
Description
`static class`
`FrequentItemsSketch.Row<T>`
Row class that defines the return values from a getFrequentItems query.
Methods in org.apache.datasketches.frequencies that return FrequentItemsSketch.Row
Modifier and Type
Method
Description
`FrequentItemsSketch.Row<T>[]`
FrequentItemsSketch.`getFrequentItems(long threshold, ErrorType errorType)`
Returns an array of Rows that include frequent items, estimates, upper and lower bounds given a threshold and an ErrorCondition.
`FrequentItemsSketch.Row<T>[]`
FrequentItemsSketch.`getFrequentItems(ErrorType errorType)`
Returns an array of Rows that include frequent items, estimates, upper and lower bounds given an ErrorCondition and the default threshold.
Methods in org.apache.datasketches.frequencies with parameters of type FrequentItemsSketch.Row
Modifier and Type
Method
Description
`int`
FrequentItemsSketch.Row.`compareTo(FrequentItemsSketch.Row<T> that)`
This compareTo is strictly limited to the Row.getEstimate() value and does not imply any ordering whatsoever to the other elements of the row: item and upper and lower bounds.